const Metaphor = require('metaphor'); 
const engine = new Metaphor.Engine();

console.time('full-time');
let promises = [];
const getMetadata = async (targetUrl) => {
  console.time(targetUrl);
  promises.push(new Promise((resolve) => {
    engine.describe(targetUrl, (data) => {
      console.timeEnd(targetUrl);
      console.log(data);
      resolve();
    });
  })) 
};
getMetadata("https://www.npmjs.com/package/postleaf?activeTab=dependencies");
getMetadata("https://alpha.human-connection.org");
getMetadata("https://human-connection.org");
getMetadata("http://denkraum21.de/veranstaltungen");
getMetadata("https://www.youtube.com/watch?v=5XQOK0v_YRE");
getMetadata("https://www.arte.tv/de/videos/042441-000-A/kaufen-fuer-die-muellhalde/?xtor=CS1-146");
getMetadata("https://www.finanzen.net/nachricht/aktien/rtl-n-tv-trendbarometer-forsa-spezial-zur-wahl-in-russland-die-deutschen-ueber-putin-6037912");

Promise.all(promises)
  .then(() => {
    console.log('READY!');
    console.timeEnd('full-time');
  });
